Bug 208956 - devel/pecl-event: update to 2.0.3
Summary: devel/pecl-event: update to 2.0.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Po-Chuan Hsieh
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-04-21 13:59 UTC by mickael.maillot
Modified: 2016-04-23 07:00 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (johnpupu)


Attachments
update to 2.0.3 diff (852 bytes, text/plain)
2016-04-21 13:59 UTC, mickael.maillot
no flags Details
I updated to 2.0.4 (1.02 KB, patch)
2016-04-22 19:15 UTC, johnpupu
johnpupu: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description mickael.maillot 2016-04-21 13:59:27 UTC
Created attachment 169523 [details]
update to 2.0.3 diff

This adds PHP 7 support with very few API changes (from package.xml):
- EventUtil::createSocket method added(PHP7)
- removed the first(EventBase) argument of EventBufferEvent::sslFilter method, since the internal EventBase object must match EventBase object within the underlying EventBufferEvent

code tested on FreeBSD 10.2-Release amd64 with PHP 5.6 and PHP 7

Poudriere logs:
http://fneu.fr/freebsd/pecl-event/
Comment 1 johnpupu 2016-04-22 19:15:05 UTC
Created attachment 169577 [details]
I updated to 2.0.4

I updated to 2.0.4.
Comment 2 commit-hook freebsd_committer 2016-04-23 06:59:24 UTC
A commit references this bug:

Author: sunpoet
Date: Sat Apr 23 06:58:42 UTC 2016
New revision: 413855
URL: https://svnweb.freebsd.org/changeset/ports/413855

Log:
  - Update to 2.0.4 and unbreak build with PHP 7.0
  - While I'm here:
    - Add LICENSE_FILE
    - Remove unnecessary PHP_MODNAME
    - Pet portlint
    - Update BROKEN: use lowercase for leading character

  Changes:	https://pecl.php.net/package-changelog.php?package=event
  PR:		208956
  Submitted by:	Mickael Maillot <mickael.maillot@gmail.com>
  Approved by:	John Chen <johnpupu@gmail.com> (maintainer)

Changes:
  head/devel/pecl-event/Makefile
  head/devel/pecl-event/distinfo
Comment 3 Po-Chuan Hsieh freebsd_committer 2016-04-23 07:00:05 UTC
Committed. Thanks!